.headline {
    margin: 0;
    /*font-family: "Kaushan Script";*/
    font-family: monospace;
    font-weight: bold;
    font-size: 30px;
}

.hopfield-grid {
    height: 300px;
    width: 200px;
}

.flex-container-column {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.list-group-item.active {
    z-index: 2 !important;
    color: #fff !important;
    background-color: #9FCC7F !important;
    border-color: #9FCC7F !important;
}

button:focus {
    outline: none !important;
    /* outline: 5px auto -webkit-focus-ring-color; */
}

#setupPatternItem {
    transition: 0.3s color, 0.3s transform;
    transform: scale(1);
}
#setupPatternItem:hover {
    transform: scale(1.08);
    color: #9FCC7F;
}

.setupActive {
    transform: scale(1.08) !important;
    color: #9FCC7F;
}


.list-container {
    padding: 0.5rem;
    border: 5px solid #9FCC7F;
    border-top: 0;
    border-radius: 0 0 0.7rem 0.7rem;
}

.loading {
    animation: loading-animation 1s infinite ease;
    width: 3rem;
    height: 3rem;
    margin-bottom: 0.5rem;
}


@keyframes loading-animation {
    0%{
        transform: rotate(0deg);
    }
    /*50%{*/
    /*    transform: rotate(180deg);*/
    /*}*/
    100%{
        transform: rotate(360deg);
    }
}


.slider {
    -webkit-appearance: none;
    width: 100%;
    height: 10px;
    border-radius: 5px;
    background: #d3d3d3;
    outline: none;
    opacity: 0.7;
    -webkit-transition: .2s;
    transition: opacity .2s;
}

.slider:hover {
    opacity: 1;
}

.slider::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    background: #4CAF50;
    cursor: pointer;
}

.slider::-moz-range-thumb {
    width: 20px;
    height: 20px;
    border-radius: 50%;
    background: #4CAF50;
    cursor: pointer;
}